{config, ...}: {
  # Changing the Caddyfile should only trigger a reload, not a restart
  systemd.services.caddy.reloadTriggers = [
    config.services.caddy.configFile
  ];

  services.caddy = {
    enable = true;
    email = "wg-tooling@list.momo.koeln";
    virtualHosts = {
      "auth.momo.koeln" = {
        logFormat = ''
          output discard
        '';
        extraConfig = ''
          reverse_proxy :8080
        '';
      };
    };
  };

  networking.firewall.allowedTCPPorts = [80 443];
}
