{
  config,
  lib,
  inputs,
  pkgs,
  self,
  ...
}: {
  age.secrets.erpnext-admin-password = {
    file = "${self}/secrets/erpnext-admin-password.age";
    mode = "700";
    owner = "erpnext";
  };
  age.secrets.erpnext-db-root-password = {
    file = "${self}/secrets/erpnext-db-root-password.age";
    mode = "700";
    owner = "erpnext";
  };
  age.secrets.erpnext-db-user-password = {
    file = "${self}/secrets/erpnext-db-user-password.age";
    mode = "700";
    owner = "erpnext";
  };

  # erpnext
  services.erpnext = {
    enable = true;
    domain = "erp.momo.koeln";

    # Secrets
    adminPasswordFile = config.age.secrets.erpnext-admin-password.path;
    database.rootPasswordFile = config.age.secrets.erpnext-db-root-password.path;
    database.userPasswordFile = config.age.secrets.erpnext-db-user-password.path;

    # Required to enable caddy
    caddy = {};
  };
}
